The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get all Sensors in a Domain

Prev Next

This API gets the list of Sensors available in the specified domain. If the domain is not specified, details of all the Sensors in all ADs will be provided.

Resource URL

GET /sensors?domain=<domain_id>

Request Parameters

Field Name

Description

Data Type

Mandatory

Domain_id

Domain Id

Number

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

SensorDescriptor

Brief Sensor detail

Array

Details of object in SensorDescriptor:

Field Name

Description

Data Type

sensorId

Sensor primary key

Number

name

Name of the Sensor

String

model

Sensor model

String

Description

Sensor description

String

DomainId

Id of domain to which this Sensor belongs to

Number

isFailOver

Is the Sensor fail over

Boolean

isNTBA

Is an NTBA device

Boolean

isLoadBalancer

Is the Sensor load balancer

Boolean

SigsetVersion

Signature set version number applied to the Sensor

String

DATVersion

Gateway Anti-Malware DAT version

String

SoftwareVersion

Sensor software version

String

LastSignatureUpdateTs

Last configuration download timestamp

String

IPSPolicyID

IPS policy id applied to the Sensor

Number

ReconPolicyID

Recon policy id applied to the Sensor

Number

LastModTs

Last modified timestamp

String

sensorIPAddress

Sensor IP address

String

nsmVersion

Manager version

String

capacity

Sensor capacity

String

isStack

Is Stack configuration

Boolean

isStackMember

Is the Sensor a member of the Stack configuration

Boolean

MemberSensors

Member Sensors in case of fail over and load balancer

Array

Details of object in member Sensors:

Field Name

Description

Data Type

sensorId

Sensor primary key

Number

name

Name of the Sensor

String

sensorIPAddress

Sensor IP address

String

SigsetVersion

Signature set version number applied to the Sensor

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensors

Response

{
    "SensorDescriptor": [
        {
            "sensorId": 1005,
            "name": "NS3100_1720",
            "model": "IPS-NS3100",
            "Description": "TRELLIX-INTRUSION-PREVENTION-SYSTEM",
            "DomainID": 101,
            "isFailOver": false,
            "isNTBA": false,
            "isLoadBalancer": false,
            "SerialNumber": null,
            "SigsetVersion": null,
            "DATVersion": null,
            "SoftwareVersion": "11.1.5.1",
            "LastSignatureUpdateTs": "2023-01-09 12:33:50",
            "IPSPolicyID": 0,
            "ReconPolicyID": 0,
            "LastModTs": null,
            "sensorIPAddress": "10.213.17.20",
            "nsmVersion": "11.1.7.1",
            "capacity": "",
            "isStack": false,
            "isStackMember": false,
            "MemberSensors": []
        }
      ]
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain